Subject: Re: [Question] Does CONFIG_XFRM_OFFLOAD depends any other configs?

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Aug 2024 17:22:32 -0700

On Tue, 20 Aug 2024 07:39:08 +0800 Hangbin Liu wrote:
> Yesterday I tried to build the kernel with CONFIG_XFRM_OFFLOAD=y via `vng`[1],
> but the result .config actually doesn't contain CONFIG_XFRM_OFFLOAD=y. I saw
> XFRM_OFFLOAD in net/xfrm/Kconfig doesn't has any dependences. Do you know if
> I missed something?

It's a hidden config option, not directly controlled by the user.
You should enable INET_ESP_OFFLOAD and INET6_ESP_OFFLOAD instead
(which "select" it)